Method: projects.locations.endpoints.list

Lists Endpoints in a given project and location.

HTTP request


GET https://alloydb.googleapis.com/v1beta/{parent=projects/*/locations/*}/endpoints

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The name of the parent resource. For the required format, see the comment on the Endpoint.name field. Additionally, you can perform an aggregated list operation by specifying a value with the following format: * projects/{project}/locations/-

Authorization requires the following IAM permission on the specified resource parent:

  • alloydb.endpoints.list

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. A page token, received from a previous endpoints.list call. This should be provided to retrieve the subsequent page. This field is currently not supported, its value will be ignored if passed.

filter

string

Optional. Filtering results. This field is currently not supported, its value will be ignored if passed.

orderBy

string

Optional. Hint for how to order the results

Request body

The request body must be empty.

Response body

Message for response to listing Endpoints

If successful, the response body contains data with the following structure:

JSON representation
{
  "endpoints": [
    {
      object (Endpoint)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
endpoints[]

object (Endpoint)

The list of Endpoints

nextPageToken

string

A token identifying a page of results the server should return.

unreachable[]

string

Locations that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/alloydb.readonly
  • https://www.googleapis.com/auth/alloydb
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.